Subject: Re: bug#43146: 27.1; D-Bus property handling incomplete

From: Hugh Daschbach <[email-masked]>
Date: Wed, 02 Sep 2020 15:01:43 -0700

Hugh Daschbach writes:

> Michael Albinus writes:
>
>> I could reproduce the bug locally. The following patch solves 
>> it 
>> for me,
>> could you pls check?
>
> Michael, thank you for such a  quick fix.  I've tested this and 
> it 
> does
> indeed fix my issue.
>
> Looking at how you fix it, I wonder if the change to 
> dbus-property-handler
> should also apply to the "Set" and "GetAll" cond clauses.
>
> Many thanks.
> Hugh

I've tweaked the test script to examine the "Set" and "GetAll" 
methods. The updated version is attached below.

Here's the sequence of operations:

/node0                             /node1
------                             ------
register prop, value "-node0-"
get prop, value is  "-node0-"
                                   register prop, value "-node1-"
get prop, value is  "-node0-"
                                   get prop, value is "-node1-"
                                   set prop, value "-replaced-"
get prop, no value returned
                                   get prop, value is "-replaced-"
getall, empty array returned

So I think the "Set" performed on /node1 corrupted the value of 
the property no /node0.  The last two operations on /node0 suggest 
the value of /node0's property is no longer available.

Thanks again,
Hugh